> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get site by ID



## OpenAPI

````yaml /schemas/index.yaml get /sites/{site_id}
openapi: 3.1.0
info:
  title: Kinsta API
  version: 1.95.0
  description: pages/introduction.md
  termsOfService: https://kinsta.com/legal/terms-service/
  x-logo:
    url: https://kinsta-api-resources.s3.amazonaws.com/kinsta-api-logo-light.svg
    href: /
  x-meta:
    title: Kinsta API - Kinsta® Docs
    description: >-
      Kinsta's REST API provides a streamlined and efficient way to work with
      our platform, allowing you to efficiently retrieve data, perform actions,
      and automate tasks.
servers:
  - url: https://api.kinsta.com/v2
security: []
tags:
  - name: Company Users
    description: pages/company-users/description.md
  - name: Domains
    description: pages/domains/description.md
  - name: Available Regions
    description: pages/available-regions/description.md
  - name: API Keys
    description: pages/api-keys/description.md
  - name: Activity Logs
    description: pages/activity-logs/description.md
  - name: WordPress Sites
    description: pages/wordpress-sites/description.md
  - name: WordPress Site Environments
    description: pages/wordpress-site-environments/description.md
  - name: WordPress Site Tools
    description: pages/wordpress-site-tools/description.md
  - name: WordPress Site Themes & Plugins
    description: pages/wordpress-site-themes-plugins/description.md
  - name: WordPress Site Domains
    description: pages/wordpress-site-domains/description.md
  - name: WordPress Edge Caching
    description: pages/wordpress-edge-caching/description.md
  - name: WordPress CDN
    description: pages/wordpress-cdn/description.md
  - name: Backups
    description: pages/backups/description.md
  - name: Logs
    description: pages/logs/description.md
  - name: Additional SFTP Users
    description: pages/additional-sftp-users/description.md
  - name: Analytics
    description: pages/analytics/description.md
  - name: Operations
    description: pages/operations/description.md
  - name: Authentication
    description: pages/authentication/description.md
paths:
  /sites/{site_id}:
    get:
      tags:
        - WordPress Sites
      summary: Get site by ID
      operationId: getSiteById
      parameters:
        - schema:
            type: string
            example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
          required: true
          name: site_id
          in: path
      responses:
        '200':
          description: Successfully found site by ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteById-Response'
        '401':
          description: No or invalid API key provided to the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema401'
        '404':
          description: >-
            Could not find the site or the user does not have permissions to
            retrieve data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema404'
        '500':
          description: Error occurred while retrieving site by ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponseSchema500'
      security:
        - bearerAuth: []
components:
  schemas:
    SiteById-Response:
      type: object
      properties:
        site:
          $ref: '#/components/schemas/SiteById-Site'
      required:
        - site
    StatusResponseSchema401:
      type: object
      properties:
        message:
          type: string
          example: No or invalid API key provided to the request
        status:
          type: number
          example: 401
        data: {}
      required:
        - message
        - status
    StatusResponseSchema404:
      type: object
      properties:
        message:
          type: string
          example: >-
            Could not find data or the user does not have permissions to
            retrieve it
        status:
          type: number
          example: 404
        data: {}
      required:
        - message
        - status
    StatusResponseSchema500:
      type: object
      properties:
        message:
          type: string
          example: Error occurred while processing your request
        status:
          type: number
          example: 500
        data: {}
      required:
        - message
        - status
    SiteById-Site:
      type: object
      properties:
        id:
          type: string
          example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
        name:
          type: string
          example: first-site
        display_name:
          type: string
          example: Site Name
        company_id:
          type: string
          example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
        status:
          type: string
          example: live
        environments:
          type: array
          items:
            $ref: '#/components/schemas/SiteById-Environment'
      required:
        - id
        - name
        - display_name
        - company_id
        - status
        - environments
    SiteById-Environment:
      type: object
      properties:
        id:
          type: string
          example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
        name:
          type: string
          example: first-site
        display_name:
          type: string
          example: First site
        is_premium:
          type: boolean
          example: false
        is_blocked:
          type: boolean
          example: false
        domains:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Domain'
              - properties:
                  id:
                    type: string
                    example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
                  name:
                    type: string
                    example: example.com
                  type:
                    type: string
                    example: live
                required:
                  - id
                  - name
                  - type
        primaryDomain:
          allOf:
            - $ref: '#/components/schemas/Domain'
            - properties:
                id:
                  type: string
                  example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
                name:
                  type: string
                  example: example.com
                type:
                  type: string
                  example: live
              required:
                - id
                - name
                - type
      required:
        - id
        - name
        - display_name
        - is_premium
        - is_blocked
        - domains
        - primaryDomain
    Domain:
      type: object
      properties:
        id:
          type: string
          example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
        name:
          type: string
          example: mydomain.com
        site_id:
          type:
            - string
            - 'null'
          example: 54fb80af-576c-4fdc-ba4f-b596c83f15a1
        is_active:
          type: boolean
          example: true
      required:
        - id
        - name
        - site_id
        - is_active
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````